######################################
# Brought to you by InterWorks, Inc. #
#  www.interworks.com                #
######################################
# Grab plaintext command line aruguments
param (
    [string] $plaintextUsername = "",
    [string] $plaintestPassword = ""

)

# Non-interactive mode
if ($plaintestPassword -ne "")
{
    ConvertTo-SecureString $plaintestPassword -AsPlainText -Force | ConvertFrom-SecureString | Set-Content $(Join-Path -Path (Split-Path $script:MyInvocation.MyCommand.Path) -ChildPath "encrypted.password")
    $plaintextUsername | Set-Content $(Join-Path -Path (Split-Path $script:MyInvocation.MyCommand.Path) -ChildPath "username")
}
# Interactive mode
else
{
    $credential = Get-Credential
    $credential.Password | ConvertFrom-SecureString | Set-Content $(Join-Path -Path (Split-Path $script:MyInvocation.MyCommand.Path) -ChildPath "encrypted.password")
    $credential.UserName | Set-Content $(Join-Path -Path (Split-Path $script:MyInvocation.MyCommand.Path) -ChildPath "username")
}