######################################
# Brought to you by InterWorks, Inc. #
#  www.interworks.com                #
######################################
# User supplied variables
$serverURL = "https://tableau.company.com"
$siteID = "" # Leave siteID blank for Default site 
$tabcmdPath = "C:\Program Files\Tableau\Tableau Server\2019.3\extras\Command Line Utility"

# Pull credentials from encrypted files
$getPassword = Get-Content $(Join-Path -Path (Split-Path $script:MyInvocation.MyCommand.Path) -ChildPath "encrypted.password") | ConvertTo-SecureString
$username = Get-Content $(Join-Path -Path (Split-Path $script:MyInvocation.MyCommand.Path) -ChildPath "username")
$newCreds = New-Object System.Management.Automation.PSCredential($username, $getPassword)
$password = $newCreds.GetNetworkCredential().password

## MAIN SCRIPT ##
# Login via TabCMD 
if ($siteID -eq "")
{
    & $(Join-Path -Path $tabcmdPath -ChildPath "tabcmd.exe") login -s $serverURL -u $username -p $password
}
else
{
    & $(Join-Path -Path $tabcmdPath -ChildPath "tabcmd.exe") login -s $serverURL -t $siteID -u $username -p $password
}

# Run whatever TabCMD commands you need
& $(Join-Path -Path $tabcmdPath -ChildPath "tabcmd.exe") # whatever command

# Log out via TabCMD
& $(Join-Path -Path $tabcmdPath -ChildPath "tabcmd.exe") logout